Subject: Re: [EXT] Re: [PATCH v2 net] octeontx2-pf: Add missing mutex lock in otx2_get_pauseparam

From: Simon Horman <[email-masked]>
Date: Thu, 30 Nov 2023 16:24:44 +0000

On Thu, Nov 30, 2023 at 04:36:22AM +0000, Subbaraya Sundeep Bhatta wrote:
> Hi Simon,
> 
> >-----Original Message-----
> >From: Simon Horman <[email-masked]>
> >Sent: Wednesday, November 29, 2023 10:57 PM
> >To: Subbaraya Sundeep Bhatta <[email-masked]>
> >Cc: [email-masked]; [email-masked]; [email-masked];
> >[email-masked]; [email-masked]; [email-masked]; Sunil
> >Kovvuri Goutham <[email-masked]>; Geethasowjanya Akula
> ><[email-masked]>; Hariprasad Kelam <[email-masked]>; Linu
> >Cherian <[email-masked]>; Jerin Jacob Kollanukkaran
> ><[email-masked]>
> >Subject: [EXT] Re: [PATCH v2 net] octeontx2-pf: Add missing mutex lock in
> >otx2_get_pauseparam
> >
> >External Email
> >
> >----------------------------------------------------------------------
> >On Wed, Nov 29, 2023 at 10:53:42AM +0530, Subbaraya Sundeep wrote:
> >> All the mailbox messages sent to AF needs to be guarded by mutex lock.
> >> Add the missing lock in otx2_get_pauseparam function.
> >>
> >> Fixes: 75f36270990c ("octeontx2-pf: Support to enable/disable pause
> >> frames via ethtool")
> >> Signed-off-by: Subbaraya Sundeep <[email-masked]>
> >> ---
> >> v2 changes:
> >>  Added maintainers of AF driver too
> >
> >Hi Subbaraya,
> >
> >I was expecting an update to locking in otx2_dcbnl_ieee_setpfc() Am I missing
> >something here?
> >
> I will send it as separate patch since both are unrelated and I have to write two Fixes
> in commit description.

Understood.

In that case I am happy with this patch.

Reviewed-by: Simon Horman <[email-masked]>